Bug 488103 - Review Request: django-evolution - Schema evolution for Django
Review Request: django-evolution - Schema evolution for Django
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 487097 488151 488963
  Show dependency treegraph
 
Reported: 2009-03-02 13:03 EST by Ignacio Vazquez-Abrams
Modified: 2009-03-23 01:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-23 01:06:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2009-03-02 13:03:27 EST
Spec URL: http://ivazquez.fedorapeople.org/packages/django-evolution/django-evolution.spec
SRPM URL: http://ivazquez.fedorapeople.org/packages/django-evolution/django-evolution-0.0-1.20080217svnr164.src.rpm
Description: When you run ./manage.py syncdb, Django will look for any new models that have been defined, and add a database table to represent those new models. However, if you make a change to an existing model, ./manage.py syncdb will not make any changes to the database.

This is where Django Evolution fits in. Django Evolution is an extension to Django that allows you to track changes in your models over time, and to update the database to reflect those changes.
Comment 1 Michel Alexandre Salim 2009-03-02 15:17:11 EST
The release number should probably be 0.x.prereleasedetails ?

http://fedoraproject.org/wiki/Packaging/NamingGuidelines#NonNumericRelease

I'd suggest 0.1.%{alphatag}%{?dist} -- the date is probably less important than the actual SVN revision.
Comment 2 Michel Alexandre Salim 2009-03-02 21:20:20 EST
Almost ready -- everything is fine apart from the release number. 
MUST

+ rpmlint: clean
+ package name: ok
+ spec file name

? package guideline-compliant
this should probably be 0.x.%{alphatag}%{?dist}

+ license complies with guidelines
+ license field accurate
+ license file not deleted
+ spec in US English
+ spec legible
+ source matches upstream
+ builds under >= 1 archs: noarch
+ build dependencies complete
+ own all directories
+ no dupes in %files
+ permission
+ %clean RPM_BUILD_ROOT
+ macros used consistently
+ Package contains code
+ large docs => -doc: not that large
+ clean buildroot before install
+ filenames UTF-8

SHOULD
- desc and summary contain translations if available
+ package build in mock on all architectures
+ package functioned as described
+ scriplets are sane
+ require package not files
Comment 4 Michel Alexandre Salim 2009-03-03 12:04:51 EST
Change looks good.

APPROVED.
Comment 5 Fabian Affolter 2009-03-19 04:02:47 EDT
Can you please go on with the CVS procedure?
Comment 6 Ignacio Vazquez-Abrams 2009-03-19 05:26:04 EDT
New Package CVS Request
=======================
Package Name: django-evolution
Short Description: Schema evolution for Django
Owners: ivazquez
Branches: F-9 F-10 EL-5
Comment 7 Kevin Fenzi 2009-03-19 22:53:30 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.